﻿@model ViewModels.Access.RoleCreateViewModel
@using ViewModels.Base

@{
    ViewBag.Title = "ثبت گروه کاربری";
}

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
	
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.Name, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.Name, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Name)
            </div>
        </div>
	</div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                <input id="selectAll" type="checkbox" /> <label for="selectAll" class="label-control">انتخاب همه</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                @Html.LabelFor(model => model.PermissionIds, new { @class = "label-control" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.ShowCheckboxList("PermissionIds", (BaseCheckboxItem[])ViewBag.Permissions)
            </div>
        </div>
    </div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
				<input type="submit" value="ثبت" class="btn btn-info"  />
			</div>
		</div>
	</div>
}


<script src="~/Content/lib/js/ajax.js"></script>

@section Scripts{
    <script>
        $(function () {

            // ========================= events ========================
            $("#selectAll").change(function () {
                // انتخاب همه
                var checked = $(this).prop('checked');
                $('.chkbox-wrap').find('input:checkbox').prop('checked', checked);
            });
        });
    </script>
}